PdxQueryTestObject (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.security.query.data

## Class PdxQueryTestObject

- java.lang.Object
- - org.apache.geode.security.query.data.PdxQueryTestObject

- All Implemented Interfaces:
    java.io.Serializable, PdxSerializable

      public class PdxQueryTestObject
      extends java.lang.Object
      implements PdxSerializable, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdxQueryTestObject()`
    `PdxQueryTestObject(int id, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `void` | `fromData(PdxReader reader)` Deserializes the PDX fields using the given reader.
    `int` | `getAge()`
    `java.lang.String` | `getName()`
    `void` | `toData(PdxWriter writer)` Serializes the PDX fields using the given writer.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public int id

  - ### Constructor Detail

    - #### PdxQueryTestObject

          public PdxQueryTestObject()

    - #### PdxQueryTestObject

          public PdxQueryTestObject(int id,
                                    java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getAge

          public int getAge()

    - #### toData

          public void toData(PdxWriter writer)

      Description copied from interface: `PdxSerializable`
      Serializes the PDX fields using the given writer.
      Specified by:
        `toData` in interface `PdxSerializable`
      Parameters:
        `writer` - the `PdxWriter` to use to write the PDX fields.

    - #### fromData

          public void fromData(PdxReader reader)

      Description copied from interface: `PdxSerializable`
      Deserializes the PDX fields using the given reader.
      Specified by:
        `fromData` in interface `PdxSerializable`
      Parameters:
        `reader` - the `PdxReader` to use to read the PDX fields.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`